body {
  font-family: 'Inter', sans-serif;
  margin: 0;
}

#loader {
  width: 100vw;
  height: 100vh;
  background-image: url('./assets/bg.webp');
  overflow: hidden;
  position: relative;
  background-size: cover;
  background-position: center;

  &::before {
    content: '';
    width: 25vh;
    background: #ffe495;
    border-radius: 50%;
    aspect-ratio: 1;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-56%, -62%);
    filter: blur(40px);
    opacity: 0.6;
    mix-blend-mode: plus-lighter;
  }
}

@supports (height: 100dvh) {
  #loader {
    height: 100dvh;
  }
}

.snow {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  padding: 36px 0;
  background:
          url('./assets/snowflake.png') 6% 12% / 40px auto no-repeat,
          url('./assets/snowflake.png') 22% 28% / 22px auto no-repeat,
          url('./assets/snowflake.png') 38% 18% / 40px auto no-repeat,
          url('./assets/snowflake.png') 54% 8% / 22px auto no-repeat,
          url('./assets/snowflake.png') 70% 26% / 40px auto no-repeat,
          url('./assets/snowflake.png') 84% 14% / 22px auto no-repeat,
          url('./assets/snowflake.png') 14% 44% / 40px auto no-repeat,
          url('./assets/snowflake.png') 78% 38% / 22px auto no-repeat,
          url('./assets/snowflake.png') 10% 68% / 40px auto no-repeat,
          url('./assets/snowflake.png') 24% 82% / 22px auto no-repeat,
          url('./assets/snowflake.png') 72% 78% / 40px auto no-repeat,
          url('./assets/snowflake.png') 88% 66% / 22px auto no-repeat,
          url('./assets/snowflake.png') 18% 90% / 40px auto no-repeat,
          url('./assets/snowflake.png') 62% 88% / 22px auto no-repeat,
          url('./assets/snowflake.png') 94% 74% / 40px auto no-repeat,
          url('./assets/bg.webp') center / cover no-repeat,
          100% no-repeat;

    &::before,
    &::after {
        content: '';
        position: fixed;
        bottom: 0;
        width: 507px;
        height: 96px;
        background: url('./assets/snow.png') left bottom / cover no-repeat;
        pointer-events: none;
        z-index: 1;
    }

    &::before {
        left: 0;
    }

    &::after {
        right: 0;
        transform: scaleX(-1);
    }
}

#image_wrapper {
  display: flex;
  align-items: center;
  flex-direction: column;

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-56%, -62%);
}

#main-image {
  width: 43vh;
}

#left-coin {
  position: absolute;
  top: 0;
  left: 0;
  visibility: hidden;
}

#right-coin {
  position: absolute;
  top: 65%;
  right: 0;
  visibility: hidden;
}

.loader-content__bottom {
  display: flex;
  flex-direction: column;
  align-items: center;

  position: absolute;
  bottom: 28px;
  left: 50%;
  transform: translateX(-50%);

  @media screen and (max-width: 744px) {
    bottom: 32px;
  }
}

#logo {
  text-align: center;
  margin-bottom: 20px;
  img {
    height: var(--logo-height, 28px);
    width: var(--logo-width, auto);
  }
}

#progress {
  width: 340px;
  height: 7px;
  border-radius: 10px;
  box-sizing: border-box;

  padding: 2px;
  position: relative;
  background-color: #ffffff;

  @media screen and (max-width: 744px) {
    width: 246px;
    height: 8px;
  }
}

#progress__line {
    background-image: repeating-linear-gradient(
            125deg,
            #FF6981 0 12px,
            #ffffff 12px 24px
    );
    position: absolute;
    height: inherit;
    border-radius: inherit;
    left: -0.5px;
    top: -0.5px;
}

#bar {
  position: absolute;
  border-radius: 10px;
  width: 98%;
  right: 2px;
  height: 3px;
  background-color: #0086e1;
  @media screen and (max-width: 744px) {
    height: 4px;
  }
}

#percent {
  margin-top: 13px;
  text-align: center;
  font-size: 20px;
  font-weight: 600;
  line-height: 24px;
  letter-spacing: -0.09px;
  color: var(--fg-content-primary, #fff);
}

@media screen and (max-width: 744px) {
  #image_wrapper {
    transform: translate(-51%, -57%);
  }

  #loader::before {
    transform: translate(-51%, -57%);
  }

  #left-coin,
  #right-coin {
    visibility: visible;
  }

  #main-image {
    width: 81vw;
    max-width: 348px;
  }

  #logo {
    img {
      height: var(--logo-height-mobile, 22px);
      width: var(--logo-width-mobile, auto);
    }
    #percent {
      margin-top: 9px;
      line-height: 20px;
      font-size: 14px;
    }
  }

  .snow {
    background:
            url('./assets/snowflake.png') 12% 12% / 20px auto no-repeat,
            url('./assets/snowflake.png') 18% 28% / 11px auto no-repeat,
            url('./assets/snowflake.png') 41% 20% / 20px auto no-repeat,
            url('./assets/snowflake.png') 54% 8% / 11px auto no-repeat,
            url('./assets/snowflake.png') 67% 26% / 20px auto no-repeat,
            url('./assets/snowflake.png') 87% 14% / 11px auto no-repeat,
            url('./assets/snowflake.png') 14% 44% / 20px auto no-repeat,
            url('./assets/snowflake.png') 83% 40% / 11px auto no-repeat,
            url('./assets/snowflake.png') 7% 72% / 20px auto no-repeat,
            url('./assets/snowflake.png') 26% 82% / 11px auto no-repeat,
            url('./assets/snowflake.png') 68% 78% / 20px auto no-repeat,
            url('./assets/snowflake.png') 92% 66% / 11px auto no-repeat,
            url('./assets/snowflake.png') 18% 96% / 20px auto no-repeat,
            url('./assets/snowflake.png') 62% 86% / 11px auto no-repeat,
            url('./assets/snowflake.png') 94% 74% / 20px auto no-repeat,
            url('./assets/bg.webp') center / cover no-repeat,
            100% no-repeat;

      &::before,
      &::after {
          width: 202px;
          height: 38px;
      }
  }
}

@media screen and (orientation: landscape) and (max-width: 744px) {
  #main-image {
    width: 43vh;
    height: 50%;
  }
  #image_wrapper {
    transform: translate(-59%, -78%);
  }
}
